# Ontrac CLI 🚀

This is an internally used tool. I don't think it will help general public very much. It is used to automate switching cordova/phonegap
projects between companies and automatically building with XCODE / Android Studio.

### Installation:

`npm i -g ontrac`

### How use:

| Command    | Description                             |
| ---------- | --------------------------------------- |
| **use**    | ontrac use **project** --version=1.4.10 |
| **deploy** | ontrac deploy                           |
| **build**  | ontrac build                            |

### Dependencies:

- [Node.js](https://nodejs.org/en/)
- [Java](https://www.oracle.com/technetwork/java/javase/downloads/index.html)
- [JDK](https://www.oracle.com/technetwork/java/javase/downloads/index.html)
- [Android SDK](https://developer.android.com/studio)
- [PM2](http://pm2.keymetrics.io/)
- [Xcode](https://developer.apple.com/xcode/)

**Obs:**
If you are a developer and you are trying to build a APK or IPA, make sure that your environment's variables are already exported.

for Mac OS, copy and update the values inside your
_~/.bashrc_ or in _~/.zshrc_ :

```
export ANDROID_HOME=/Users/$(whoami)/Library/Android/sdk
export JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.8.0_212.jdk/Contents/Home/
export PATH=$PATH:/Users/$(whoami)/Library/Android/sdk/tools:/Users/$(whoami)/Library/Android/sdk/tools/bin:/Users/$(whoami)/Library/Android/sdk/platform-tools:/Users/$(whoami)/Library/Android/sdk/build-tools/28.0.3
```

If you are a QA, we have an iMac with everything ready for you to generate a test build.

![enter image description here](https://media.giphy.com/media/6Z1U5MplMs3hm/giphy.gif)

## 1) ontrac use _client_name --version=1.4.10_:

It's optional for development environment _--version_

[![asciicast](https://asciinema.org/a/smK9x09ZN3V4prneas0oAetNo.svg)](https://asciinema.org/a/smK9x09ZN3V4prneas0oAetNo)

## 2) ontrac deploy _(sandbox or production)_:

[![asciicast](https://asciinema.org/a/Bfj7mAxIZqG1KlPAPY8Cve1qt.svg)](https://asciinema.org/a/Bfj7mAxIZqG1KlPAPY8Cve1qt)

## 3) ontrac build _(iOS or Android)_:

In order for android to build a password is needed to open the keystore file. The password you have access to is in your [1Password Account](https://1password.com).

**android:**

[![asciicast](https://asciinema.org/a/PndOfpWQRpt7TKJInjuho7d2K.svg)](https://asciinema.org/a/PndOfpWQRpt7TKJInjuho7d2K)

**ios:**

[![asciicast](https://asciinema.org/a/RELCcUF29nARglhviKRpwkpcr.svg)](https://asciinema.org/a/RELCcUF29nARglhviKRpwkpcr)

# Contributing

This project can be better with your help. If you see something that can be improved or you have an idea, open an issue in [ontrac-cli board](https://gitlab.com/plvr/ontrac-cli/-/boards).
