const utils = require('../utils/utils.js')
module.exports = {
  name: 'deploy',
  alias: ['dp'],
  run: async toolbox => {
    const {
      parameters,
      template: { mobile },
      print: { info, success, error, spin },
      filesystem: fs,
      system: { exec },
      patching
    } = toolbox

    let clients = await fs.listAsync('templates')
    clients = clients.filter(item => item != '.DS_Store')
    clients.push('all')

    let ENV = parameters.options.env
    let CLIENT = parameters.options.client
    let VERSION = parameters.options.version

    if (!ENV) {
      ENV = await utils.ask('Select', 'Select a deployment enviroment', [
        'sandbox',
        'prod'
      ])
    }

    if (!CLIENT) {
      CLIENT = await utils.ask('Select', 'Select a client', clients)
    }

    if (!VERSION) {
      VERSION = await utils.ask('Input', 'Version number')
    }

    await utils.pm2(ENV, CLIENT, VERSION)
  }
}
